Bug 174382 - [PATCH] games/rocksndiamonds: Added Master site, desktop entry, icons, take maintainership
Summary: [PATCH] games/rocksndiamonds: Added Master site, desktop entry, icons, take m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-12 02:10 UTC by nemysis
Modified: 2012-12-28 12:53 UTC (History)
0 users

See Also:


Attachments
rocksndiamonds-3.3.0.1_2.patch (18.20 KB, patch)
2012-12-12 02:10 UTC, nemysis
no flags Details | Diff
rocksndiamonds.diff (28.55 KB, patch)
2012-12-21 22:25 UTC, nemysis
no flags Details | Diff
rocksndiamonds.diff (27.77 KB, patch)
2012-12-22 01:01 UTC, nemysis
no flags Details | Diff
rocksndiamonds.diff (25.35 KB, patch)
2012-12-27 20:22 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-12-12 02:10:00 UTC
- Take maintainership

Removed file(s):
- files/patch-ad
- files/patch-ag

Makefile changed:
+MASTER_SITES=
+DISTFILES=
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=
+OPTIONS_DEFAULT=SDL

Changed and refined:
+PORTDOCS=	*
 .if ${PORT_OPTIONS:MDOCS}
 post-patch:
 do-install:
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 Pawel Pekala freebsd_committer 2012-12-20 15:38:18 UTC
State Changed
From-To: open->feedback

Build fails when SDL=off, please see log: 
http://people.freebsd.org/~pawel/buildlogs/rocksndiamonds-3.3.0.1_2.log
Comment 2 nemysis 2012-12-21 22:22:53 UTC
Added Levels and switched to SDL.

Makefile changed:
+MASTER_SITES=
+DISTFILES=
+DIST_SUBDIR=<->${PORTNAME}
+EXTRACT_ONLY=<>${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+<-----><------>${PORTNAME}_icons.zip


portlint -A
looks fine.


port test: clean
Comment 3 nemysis 2012-12-21 22:25:07 UTC
Here is rocksndiamonds.diff
Comment 4 nemysis 2012-12-22 01:01:38 UTC
Have deleted not needed

+.if ${PORT_OPTIONS:MEMERALD_MINE_CLUB}
Comment 5 nemysis 2012-12-27 20:22:24 UTC
Changed all, look diff

portlint -A
looks fine.

port test: clean


Rocks'n'Diamonds and

new Port R'n'D jue

games/rnd_jue

http://www.freebsd.org/cgi/query-pr.cgi?pr=174747



can use new Port Rocks'n'Diamonds data

games/rocksndiamonds-data

www.freebsd.org/cgi/query-pr.cgi?pr=174750
Comment 6 dfilter service freebsd_committer 2012-12-28 12:47:05 UTC
Author: pawel
Date: Fri Dec 28 12:46:55 2012
New Revision: 309569
URL: http://svnweb.freebsd.org/changeset/ports/309569

Log:
  - Install additional levels
  - Add desktop entry file
  - Switch to SDL back-end by default
  - Use REINPLACE_CMD instead of simple patches
  - Switch to PORTDOCS
  - Give maintainership to submitter
  
  PR:		ports/174382
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/games/rocksndiamonds/files/pkg-message.in   (contents, props changed)
Deleted:
  head/games/rocksndiamonds/files/patch-ad
  head/games/rocksndiamonds/files/patch-ag
Modified:
  head/games/rocksndiamonds/Makefile
  head/games/rocksndiamonds/distinfo
  head/games/rocksndiamonds/files/patch-src-game_em-sound.c
  head/games/rocksndiamonds/pkg-descr
  head/games/rocksndiamonds/pkg-plist

Modified: head/games/rocksndiamonds/Makefile
==============================================================================
--- head/games/rocksndiamonds/Makefile	Fri Dec 28 12:33:05 2012	(r309568)
+++ head/games/rocksndiamonds/Makefile	Fri Dec 28 12:46:55 2012	(r309569)
@@ -3,56 +3,137 @@
 
 PORTNAME=	rocksndiamonds
 PORTVERSION=	3.3.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}.mirror \
-		http://www.artsoft.org/RELEASES/unix/rocksndiamonds/
+MASTER_SITES=	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/ \
+		http://www.jb-line.de/rnd/ \
+		SF/${PORTNAME}.mirror/ \
+		http://www.artsoft.org/RELEASES/rocksndiamonds/levels/:levels \
+		http://www.bd-fans.com/Files/RnD/Levels/ \
+		SF/nemysisfreebsdp/${PORTNAME}/:icons
+# Please contact the MAINTAINER if a Level is missing
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		rnd_jue-3.3.0.0.tar.gz \
+		Sokoban-1.0.0.zip:levels \
+		Contributions-1.2.0.zip:levels \
+		${LEVELS_BD_FANS:S/$/.zip/} \
+		Gavin_Davidson_2006.zip \
+		Trucky_Cargos_v0.1.zip \
+		Walpurgis_Collection.zip \
+		${PORTNAME}_icons.zip:icons
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		rnd_jue-3.3.0.0.tar.gz \
+		${PORTNAME}_icons.zip
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Colorful Boulderdash'n'Emerald Mine'n'Sokoban'n'Stuff
 
 LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	SDL DOCS
+LIB_DEPENDS=	smpeg:${PORTSDIR}/multimedia/smpeg
+EXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
 
+USE_ICONV=	yes
+USE_SDL=	image mixer net sdl
 USE_GMAKE=	yes
 MAKE_ARGS=	CC="${CC}" MAKE="${GMAKE}" OPTIONS="${CFLAGS}" \
-		RO_GAME_DIR="${DATADIR}" RW_GAME_DIR="${DATADIR}/scores" \
+		RO_GAME_DIR="${DATADIR}" \
 		X11_PATH="${LOCALBASE}"
+ALL_TARGET=	sdl
 MAKE_JOBS_SAFE=	yes
 
+SUB_FILES=	pkg-message
+
+LEVELS_ARTSOFT=	rnd_jue Sokoban Contributions
+
+LEVELS_BD_FANS=	Bug_Hunter Colourful_World Earth_Shaker_Collection \
+		Glasses Love_Pac Maniac_Mines Negundo_Dash Pipemania Rockfighter \
+		Step_Puzzles Super_Jetset_Willy_Bros_3 Through_the_Ages \
+		rnd_the_h_world
+
 MAN1=		rocksndiamonds.1
 
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	CREDITS ChangeLog README
+
+DOCSRCDIR2=	${WRKSRC}/docs/elements
+DOCSDIR2=	${DOCSDIR}/docs/elements
+DOC_FILES2=	*.txt
+
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+
+DESKTOP_ENTRIES="Rocks'n'Diamonds" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
+
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MSDL}
-LIB_DEPENDS+=	smpeg:${PORTSDIR}/multimedia/smpeg
-USE_SDL=	image mixer net sdl
-ALL_TARGET=	sdl
-.else
-USE_XORG=	x11 xpm xt
-ALL_TARGET=	x11
-.endif
+post-extract-script:
+	${MKDIR} ${WRKDIR}/${PORTNAME}
+	@(cd ${WRKDIR}/rnd_jue* && ${COPYTREE_SHARE} levels/rnd_jue ${WRKDIR}/${PORTNAME})
+	@(cd ${WRKDIR}/${PORTNAME}/levels ; ${MV} rnd_jue .. ; cd .. ; ${RMDIR} levels)
+.for l in Sokoban-1.0.0.zip Contributions-1.2.0.zip
+	@${UNZIP_CMD} -qo -d ${WRKDIR}/${PORTNAME} ${DISTDIR}/${DIST_SUBDIR}/${l}
+.endfor
+
+.for l in ${LEVELS_BD_FANS:S/$/.zip/} Gavin_Davidson_2006.zip Trucky_Cargos_v0.1.zip Walpurgis_Collection.zip
+	@${UNZIP_CMD} -qo -d ${WRKDIR}/${PORTNAME} ${DISTDIR}/${DIST_SUBDIR}/${l}
+.endfor
+	@${RM} -f ${WRKDIR}/${PORTNAME}/Readme.txt
 
 post-patch:
-	@${REINPLACE_CMD} -e \
-		's|sdl-config|$${SDL_CONFIG}|g' ${WRKSRC}/src/Makefile
+	@${REINPLACE_CMD} \
+		-e 's|sdl-config|$${SDL_CONFIG}|g' ${WRKSRC}/src/Makefile
+	@${REINPLACE_CMD} \
+		-e 's|machine/soundcard.h|sys/soundcard.h|' ${WRKSRC}/src/libgame/sound.c
+	@${REINPLACE_CMD} \
+		-e 's|machine/joystick.h|sys/joystick.h|' ${WRKSRC}/src/libgame/joystick.c
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/rocksndiamonds ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/rocksndiamonds.1 ${MANPREFIX}/man/man1
-	@${MKDIR} ${DATADIR}
-.for dir in graphics levels music scores sounds
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
+
+.for dir in graphics levels music sounds
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${dir} ${DATADIR})
 .endfor
-	@${CHMOD} 777 ${DATADIR}/scores
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-.for docfile in ChangeLog CREDITS README
-	${INSTALL_DATA} ${WRKSRC}/${docfile} ${DOCSDIR}
+	@cd ${WRKDIR}/${PORTNAME} && ${COPYTREE_SHARE} \* ${DATADIR}/levels
+
+post-install:
+.for s in ${ICON_SIZES}
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
+		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
 .endfor
-	@${MKDIR} ${DOCSDIR}/elements
-	${INSTALL_DATA} ${WRKSRC}/docs/elements/*.txt ${DOCSDIR}/elements
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png \
+		${PREFIX}/share/pixmaps
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	${MKDIR} ${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR2}
 .endif
 
+# Dynamically generate part of the PLIST, because the Levels are large
+.for l in ${LEVELS_ARTSOFT}
+	@${FIND} ${DATADIR}/levels/${l}/ ! -type d | ${SED} 's|^${PREFIX}/||' >> ${TMPPLIST}
+	@${FIND} -ds ${DATADIR}/levels/${l}/ -type d | \
+		${SED} -E -e 's,(.*),@unexec ${RMDIR} "\1" 2>/dev/null || true,' >> ${TMPPLIST}
+.endfor
+
+.for l in ${LEVELS_BD_FANS} "Gavin Davidson 2006" Trucky_Cargos "Walpurgis Collection"
+	@${FIND} ${DATADIR}/levels/${l}/ ! -type d | ${SED} 's|^${PREFIX}/||' >> ${TMPPLIST}
+	@${FIND} -ds ${DATADIR}/levels/${l}/ -type d | \
+		${SED} -E -e 's,(.*),@unexec ${RMDIR} "\1" 2>/dev/null || true,' >> ${TMPPLIST}
+.endfor
+	@${ECHO} "@unexec ${RMDIR} \"${DATADIR}/levels\" 2>/dev/null || true" >> ${TMPPLIST}
+	@${ECHO} "@unexec ${RMDIR} \"${DATADIR}\" 2>/dev/null || true" >> ${TMPPLIST}
+
+	@${ECHO_CMD}
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO_CMD}
+
 .include <bsd.port.mk>

Modified: head/games/rocksndiamonds/distinfo
==============================================================================
--- head/games/rocksndiamonds/distinfo	Fri Dec 28 12:33:05 2012	(r309568)
+++ head/games/rocksndiamonds/distinfo	Fri Dec 28 12:46:55 2012	(r309569)
@@ -1,2 +1,42 @@
-SHA256 (rocksndiamonds-3.3.0.1.tar.gz) = 974897f14136ecec91c7bdded8d904d74f2064a6c8a6c6c83f2f7111108747d3
-SIZE (rocksndiamonds-3.3.0.1.tar.gz) = 2494558
+SHA256 (rocksndiamonds/rocksndiamonds-3.3.0.1.tar.gz) = 974897f14136ecec91c7bdded8d904d74f2064a6c8a6c6c83f2f7111108747d3
+SIZE (rocksndiamonds/rocksndiamonds-3.3.0.1.tar.gz) = 2494558
+SHA256 (rocksndiamonds/rnd_jue-3.3.0.0.tar.gz) = 9594656bab084fea2ecf104e48c4dea3ccd8153f86a6ddbab04cdd0d5f6899a6
+SIZE (rocksndiamonds/rnd_jue-3.3.0.0.tar.gz) = 35414851
+SHA256 (rocksndiamonds/Sokoban-1.0.0.zip) = 63f9d36789edca22c0f9454202f9fd21fcee89111642459b5882314f13ebdc0e
+SIZE (rocksndiamonds/Sokoban-1.0.0.zip) = 295339
+SHA256 (rocksndiamonds/Contributions-1.2.0.zip) = d533dc69cd136d2bb7d76d674ab087285799191e0a516320aba8ac2368ce6dd2
+SIZE (rocksndiamonds/Contributions-1.2.0.zip) = 9499312
+SHA256 (rocksndiamonds/Bug_Hunter.zip) = d5eb055637fc3af9afdf9c495ff8e56cac3b9b5857a23383214832184267652a
+SIZE (rocksndiamonds/Bug_Hunter.zip) = 5302
+SHA256 (rocksndiamonds/Colourful_World.zip) = dd325ad936f742f1406ad8c2bd9e9b2ebc5cd1c3348532b7a92044747ce2bc43
+SIZE (rocksndiamonds/Colourful_World.zip) = 34754
+SHA256 (rocksndiamonds/Earth_Shaker_Collection.zip) = df9fdca68ebad55186cdce79cbad7c9ecceadf8b740771f3f39071c9ea44ed4d
+SIZE (rocksndiamonds/Earth_Shaker_Collection.zip) = 1258188
+SHA256 (rocksndiamonds/Glasses.zip) = 4409de550c9db212e9c6f21d2c6316754c321d0b7a9d93242727e8ec66c3e6d2
+SIZE (rocksndiamonds/Glasses.zip) = 1131107
+SHA256 (rocksndiamonds/Love_Pac.zip) = ae94665ec86de807b8304708fe992362015afeb9515668839be85d9eef2a1586
+SIZE (rocksndiamonds/Love_Pac.zip) = 7780
+SHA256 (rocksndiamonds/Maniac_Mines.zip) = 5077b60481bbb350dddafee72f24ecf5967251af8c66395225a0d3658c889a43
+SIZE (rocksndiamonds/Maniac_Mines.zip) = 15997
+SHA256 (rocksndiamonds/Negundo_Dash.zip) = 260b6a866762bb59237deae91ee147e4d2dbcb23acff5328d6a9853c7fbeec85
+SIZE (rocksndiamonds/Negundo_Dash.zip) = 594094
+SHA256 (rocksndiamonds/Pipemania.zip) = 961e6becb039b61aab1606c58c35bcd77d9659caf2df722f6497c4d839ce5bf7
+SIZE (rocksndiamonds/Pipemania.zip) = 18330
+SHA256 (rocksndiamonds/Rockfighter.zip) = 9c31a05d4bb21aa8fa4311464f46cf16959168d61151f16f864a85da01d2e6ed
+SIZE (rocksndiamonds/Rockfighter.zip) = 45777
+SHA256 (rocksndiamonds/Step_Puzzles.zip) = 520c963164343f6483b3e137415ab120cbfa37c9bd0d25474dbb575e690e70f4
+SIZE (rocksndiamonds/Step_Puzzles.zip) = 37268
+SHA256 (rocksndiamonds/Super_Jetset_Willy_Bros_3.zip) = a1e7a4e7ce73a511713e8ed5293a9d1cdf95e86667d45972ca039a1f180cfb07
+SIZE (rocksndiamonds/Super_Jetset_Willy_Bros_3.zip) = 3359
+SHA256 (rocksndiamonds/Through_the_Ages.zip) = 36285cc73de6837679fe6e41176036648ca29acd0595319309b63bc0aeb22226
+SIZE (rocksndiamonds/Through_the_Ages.zip) = 115851
+SHA256 (rocksndiamonds/rnd_the_h_world.zip) = 97fcd192b500ce091c7aae1a02a56dc55789281d67adccde1f4986b9d0673709
+SIZE (rocksndiamonds/rnd_the_h_world.zip) = 96712
+SHA256 (rocksndiamonds/Gavin_Davidson_2006.zip) = 332c02f48512996f5c5b33dae44ff7b669a138407366bad2f59972228e845195
+SIZE (rocksndiamonds/Gavin_Davidson_2006.zip) = 1253078
+SHA256 (rocksndiamonds/Trucky_Cargos_v0.1.zip) = 48eb75cd62e9e901deabca66aa2e4fbf61c96596a4581025816b98f68ff7bc55
+SIZE (rocksndiamonds/Trucky_Cargos_v0.1.zip) = 32510
+SHA256 (rocksndiamonds/Walpurgis_Collection.zip) = bf7749b8d5f943ac747847d30596b0f97e04deb14bb9e4b2b8de723880771a91
+SIZE (rocksndiamonds/Walpurgis_Collection.zip) = 1068254
+SHA256 (rocksndiamonds/rocksndiamonds_icons.zip) = 8216932b9f7a3dc9297c95ee074bd93a65ab40eb50cfb24194d35f4fa881efce
+SIZE (rocksndiamonds/rocksndiamonds_icons.zip) = 4419

Modified: head/games/rocksndiamonds/files/patch-src-game_em-sound.c
==============================================================================
--- head/games/rocksndiamonds/files/patch-src-game_em-sound.c	Fri Dec 28 12:33:05 2012	(r309568)
+++ head/games/rocksndiamonds/files/patch-src-game_em-sound.c	Fri Dec 28 12:46:55 2012	(r309569)
@@ -1,5 +1,5 @@
---- src/game_em/sound.c.orig	Sun Apr 24 04:02:41 2005
-+++ src/game_em/sound.c	Sat Oct  8 20:13:38 2005
+--- src/game_em/sound.c.orig	2007-04-25 23:37:09.000000000 +0200
++++ src/game_em/sound.c	2012-12-12 02:10:57.000000000 +0100
 @@ -10,15 +10,8 @@
  
  #if defined(PLATFORM_LINUX) || defined(PLATFORM_BSD)
@@ -14,5 +14,5 @@
 -#include <soundcard.h>
 -#endif
  
- #include "global.h"
- #include "sample.h"
+ static char audioname[] = "/dev/audio";
+ 

Added: head/games/rocksndiamonds/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/rocksndiamonds/files/pkg-message.in	Fri Dec 28 12:46:55 2012	(r309569)
@@ -0,0 +1,11 @@
+===============================================================================
+
+Rocks'n'Diamonds has been installed.
+
+Rocks'n'Diamonds can use some R'n'D jue levels.
+
+You can install Port Rocks'n'Diamonds data 'games/rocksndiamonds-data'.
+
+Rocks'n'Diamonds data can use Rocks'n'Diamonds and R'n'D jue.
+
+===============================================================================

Modified: head/games/rocksndiamonds/pkg-descr
==============================================================================
--- head/games/rocksndiamonds/pkg-descr	Fri Dec 28 12:33:05 2012	(r309568)
+++ head/games/rocksndiamonds/pkg-descr	Fri Dec 28 12:46:55 2012	(r309569)
@@ -1,5 +1,3 @@
-A game for Unix/X11 by Holger Schemel, (c) 1995-99 by Holger Schemel.
-
 This is a nice little game with color graphics and sound for your Unix system
 with color X11.  You need an 8-Bit color display or better.  It will not work
 on black&white systems, and maybe not on gray scale systems.

Modified: head/games/rocksndiamonds/pkg-plist
==============================================================================
--- head/games/rocksndiamonds/pkg-plist	Fri Dec 28 12:33:05 2012	(r309568)
+++ head/games/rocksndiamonds/pkg-plist	Fri Dec 28 12:46:55 2012	(r309569)
@@ -1,238 +1,10 @@
 bin/rocksndiamonds
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/CREDITS
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid_pool_bottom.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid_pool_bottomleft.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid_pool_bottomright.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid_pool_topleft.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/acid_pool_topright.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_dead.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_drop.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_dry.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_full.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_to_diamond.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/amoeba_wet.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/any_element.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/arrow_down.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/arrow_left.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/arrow_right.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/arrow_up.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_any.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_down.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_left.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_none.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_right.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/balloon_switch_up.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_amoeba.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_butterfly.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_diamond.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_firefly.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_magic_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_rock.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bd_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/biomaze.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/black_orb.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bomb.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/bug.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/char.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/char_space.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/conveyor_belt.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/conveyor_belt_switch.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/crystal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/current_ce_score.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/current_ce_value.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/custom.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dark_yamyam.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_gate_fake_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_gate_white.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_gate_white_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_key_white.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_landmine.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dc_magic_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/diamond.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dragon.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dx_supabomb.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dynabomb_increase_number.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dynabomb_increase_power.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dynabomb_increase_size.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dynamite.active.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/dynamite.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_exit_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_exit_open.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_1_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_2_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_3_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_gate_4_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_key_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_key_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_key_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_key_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_steel_exit_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/em_steel_exit_open.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_android.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_dripper.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_fake_acid.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_fake_grass.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_5.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_5_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_6.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_6_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_7.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_7_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_8.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_gate_8_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_grass.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_key_5.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_key_6.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_key_7.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_key_8.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_lenses.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_magic_ball.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_magic_ball_switch.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_magnifier.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_plant.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emc_spring_bumper.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/emerald.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/empty_space.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/envelope.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/exit_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/exit_open.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/expandable_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/expandable_wall_any.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/expandable_wall_horizontal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/expandable_wall_vertical.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/extra_time.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/frankie.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/from_level_template.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/game_of_life.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_1_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_2_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_3_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/gate_4_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/group.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/invisible_sand.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/invisible_steelwall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/invisible_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/key_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/key_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/key_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/key_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/lamp.active.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/lamp.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/landmine.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/light_switch.active.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/light_switch.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/magic_wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/mole.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/next_ce.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/nut.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/pacman.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/pearl.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/penguin.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/pig.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/player_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/player_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/player_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/player_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/prev_ce.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/quicksand_empty.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/quicksand_fast_empty.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/quicksand_fast_full.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/quicksand_full.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/robot.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/robot_wheel.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/rock.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sand.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/satellite.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/self.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/shield_deadly.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/shield_normal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sign.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sokoban_field_empty.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sokoban_field_full.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sokoban_field_player.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sokoban_object.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_base.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_buggy_base.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_chip_bottom.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_chip_left.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_chip_right.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_chip_single.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_chip_top.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_disk_orange.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_disk_red.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_disk_yellow.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_electron.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_exit_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_gravity_off_port.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_gravity_on_port.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_gravity_port.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_1.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_2.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_3.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_4.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_5.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_base_6.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_blue.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_gray.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_green.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_red.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_hardware_yellow.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_infotron.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_murphy.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_port.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_port_any.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_port_horizontal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_port_vertical.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_sniksnak.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_terminal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/sp_zonk.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/spaceship.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/speed_pill.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/spring.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/steel_char.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/steel_exit_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/steel_exit_open.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/steelwall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/steelwall_slippery.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/stoneblock.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/switchgate.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/switchgate_switch.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/time_orb_empty.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/time_orb_full.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/timegate_closed.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/timegate_open.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/timegate_switch.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/trap.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/trigger_ce_score.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/trigger_ce_value.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/trigger_element.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/trigger_player.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/tube.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/unknown.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/unused.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_bd_diamond.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_crystal.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_diamond.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_emerald.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_emerald_purple.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_emerald_red.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_emerald_yellow.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_pearl.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/wall_slippery.txt
-%%PORTDOCS%%%%DOCSDIR%%/elements/yamyam.txt
+share/icons/hicolor/32x32/apps/rocksndiamonds.png
+share/icons/hicolor/48x48/apps/rocksndiamonds.png
+share/icons/hicolor/64x64/apps/rocksndiamonds.png
+share/icons/hicolor/72x72/apps/rocksndiamonds.png
+share/icons/hicolor/96x96/apps/rocksndiamonds.png
+share/pixmaps/rocksndiamonds.png
 %%DATADIR%%/graphics/gfx_classic/RocksBusy.pcx
 %%DATADIR%%/graphics/gfx_classic/RocksCE.pcx
 %%DATADIR%%/graphics/gfx_classic/RocksDC.pcx
@@ -752,7 +524,6 @@ bin/rocksndiamonds
 %%DATADIR%%/sounds/snd_classic/zisch.wav
 %%DATADIR%%/sounds/snd_classic/zonkdown.wav
 %%DATADIR%%/sounds/snd_classic/zonkpush.wav
-@exec mkdir -p %D/%%DATADIR%%/scores
 @dirrm %%DATADIR%%/sounds/snd_classic
 @dirrm %%DATADIR%%/sounds
 @dirrm %%DATADIR%%/music/mus_classic
@@ -768,10 +539,17 @@ bin/rocksndiamonds
 @dirrm %%DATADIR%%/levels/Classic_Games/classic_emerald_mine
 @dirrm %%DATADIR%%/levels/Classic_Games/classic_boulderdash
 @dirrm %%DATADIR%%/levels/Classic_Games
-@dirrm %%DATADIR%%/levels
 @dirrm %%DATADIR%%/graphics/gfx_classic
 @dirrm %%DATADIR%%/graphics
-@dirrmtry %%DATADIR%%/scores
-@dirrmtry %%DATADIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/elements
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry share/icons/hicolor/96x96/apps
+@dirrmtry share/icons/hicolor/96x96
+@dirrmtry share/icons/hicolor/72x72/apps
+@dirrmtry share/icons/hicolor/72x72
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2012-12-28 12:53:34 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!